<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__cts__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_cts_descr_value_t</compoundname>
    <includes local="no">cy_ble_cts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__cts__descr__value__t_1ab212272f1ec727320f5ce054cf4e11a0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_cts_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="173" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="173" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__descr__value__t_1a3ff1fccfe84ba2fa5bee547b1e4a5763" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_t_s__definitions_1gab28471deec0e479464134b4c4c8309f5">cy_en_ble_cts_char_index_t</ref></type>
        <definition>cy_en_ble_cts_char_index_t cy_stc_ble_cts_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Characteristic index of Current Time Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="174" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="174" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__descr__value__t_1a62731720b02c34f0b42d02bcef9a242b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___c_t_s__definitions_1ga7b76c9e806cf77a56bff5932f438166f">cy_en_ble_cts_char_descriptors_t</ref></type>
        <definition>cy_en_ble_cts_char_descriptors_t cy_stc_ble_cts_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Characteristic index Descriptor of Current Time Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="175" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="175" />
      </memberdef>
      <memberdef id="structcy__stc__ble__cts__descr__value__t_1a7a5de7438a423f0325409b86e304065e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_cts_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to value of Current Time Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="176" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="176" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Current Time Service Characteristic descriptor Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="368">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="366">
        <label>cy_stc_ble_cts_descr_value_t</label>
        <link refid="structcy__stc__ble__cts__descr__value__t" />
        <childnode refid="367" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="368" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="367">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="177" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="171" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="172" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__cts__descr__value__t_1a3ff1fccfe84ba2fa5bee547b1e4a5763" virt="non-virtual"><scope>cy_stc_ble_cts_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__descr__value__t_1ab212272f1ec727320f5ce054cf4e11a0" virt="non-virtual"><scope>cy_stc_ble_cts_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__descr__value__t_1a62731720b02c34f0b42d02bcef9a242b" virt="non-virtual"><scope>cy_stc_ble_cts_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__cts__descr__value__t_1a7a5de7438a423f0325409b86e304065e" virt="non-virtual"><scope>cy_stc_ble_cts_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>